#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f2-)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	x86_64-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-Net-SSLeay
Version		:	1.92
Release		:	16.2.0.rel%{?dist}
Summary		:	Perl extension for using OpenSSL
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/release/Net-SSLeay

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	make
BuildRequires	:	openssl
BuildRequires	:	openssl-devel
BuildRequires	:	openssl-perl
#-----------------------------------------------------------------------------
%description
This module offers some high level convenience functions for accessing
web pages on SSL servers (for symmetry, same API is offered for
accessing http servers, too), a sslcat() function for writing your own
clients, and finally access to the SSL api of SSLeay/OpenSSL package
so you can write servers or clients for more complicated applications.

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

PERL_MM_USE_DEFAULT=1						\
	perl							\
	Makefile.PL						\
	NO_PACKLIST=1						\
	NO_PERLLOCAL=1						\
	INSTALLDIRS=perl					\

#	INC="$(/usr/bin/pkg-config --cflags-only-I openssl)"	\
#	LIBS="$(/usr/bin/pkg-config --libs openssl)"		\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}/perl5/%{perlvers}/core_perl/auto		\
	-type f -perm 0555 -exec chmod u+w {} \;


#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_libdir}/perl5/%{perlvers}/core_perl/Net/SSLeay.pm
%{_libdir}/perl5/%{perlvers}/core_perl/Net/SSLeay.pod
%{_libdir}/perl5/%{perlvers}/core_perl/Net/SSLeay/Handle.pm
%{_libdir}/perl5/%{perlvers}/core_perl/auto/Net/SSLeay/SSLeay.so
%{_libdir}/perl5/%{perlvers}/core_perl/auto/Net/SSLeay/autosplit.ix
%{_libdir}/perl5/%{perlvers}/core_perl/auto/Net/SSLeay/*.al
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%changelog
